<?php

namespace Comitium5\DesignerBundle\Model\Traits\Widget;



use Comitium5\DesignerBundle\Model\Interfaces\Widget\WidgetInterface;

/**
 * Trait WidgetRelationTrait
 * 
 * @author Tomàs Sayes <tomas@bab-soft.com>
 * @package Comitium5\DesignerBundle\Model\Traits\Widget
 */
trait WidgetRelationTrait
{
	/**
	 * @var WidgetInterface
	 */
	protected $widget;

	/**
	 * @return WidgetInterface
	 */
	public function getWidget()
	{
		return $this->widget;
	}

	/**
	 * @param WidgetInterface $widget
	 * @return self
	 */
	public function setWidget(WidgetInterface $widget)
	{
		$this->widget = $widget;
		return $this;
	}
}